SILO(8)

NAME
silo - preparing a DASD to become an IPL device

SYNOPSIS
silo -d ipldevice [-hV?] [-t[#]] [-v[#]]
 [-F config-file] [-b bootsector]
 [-f image] [-p parameterfile] [-B bootmap]

DESCRIPTION
silo makes a DASD an IPLable volume. All files needed for IPL must reside on that volume, namely the image, the parameterline and the bootmap. Only one IPLable image per volume is supported. Currently we require an ECKD type DASD with a blocksize of at least 2048 bytes to IPL. By default silo does not modify anything on your disk, but prints out its actions. WARNING: Incautious usage of silo can leave your system in a state that is not IPLable! There are some defaults for the most common parameters compiled into the binary. You can overwrite these defaults by your own using /etc/silo.conf or another config file specified by -F config-file. All values set by defaults or the config file can be overwritten using the commandline options of silo. The config file recognizes the following statements:

ipldevice=devicenode
    sets the ipldevice to devicenode. The device node specified must be the node of the 'full' device and not one of a partition.

append=list of parameters
    sets additional parameters to be added to the parmfile. These parameters are added to any parmfile specified on the command line. The old parameter file is preserved and a new one is created with a temporary name.

image=image
    sets the name of the image to be IPLed from that volume. The default name is ./image.

bootsect=bootsect
    sets the name of the bootsector to be used as IPL record for that volume. The default name is /boot/ipleckd.boot.

map=bootmap
    sets the name of the bootmap to hold the map information needen during IPL. The default name is ./boot.map. In testonly mode this name is replaced by a temporary name.

parmfile=parameter file
    sets the name of the parameter file holding the kernel parameters to be used during setup of the kernel. The default name is ./parmfile.

ramdisk=ramdisk image
    optionally sets the name of a ramdisk image to be used as an initial ramdisk.

root=device node
    sets the device holding the root device of the IPLed system.

readonly
    sets the flag to mount thedevice holding the root device of the IPLed system. in readonly mode, before the final mount is done by /etc/fstab.

verbose=level
    sets the level of verbosity to level.

testlevel=level
    decreases the testing level (from 2) by level.

OPTIONS

-t [#]
    decreases the testing level by one, or #, rsp. By default the testing level is set to 2, which means that no modifications are made to the disk. A testing level of 1 means, that a bootmap is generated with a temporary filename, but the IPL records of the disk are not modified. Only with a testing level of 0 or below, the disk is really made IPLable.

-v [#]
    Increases verbosity, or sets verbosity to #, rsp.

-V  Print version number and exit.

FILES

/etc/silo.conf the default configuration file.
    /boot/ipleckd.boot the default bootsector for ECKD devices. /boot/iplfba.boot the bootsector for FBA devices. ./boot.map the default name of the bootmap. ./image the default name of the kernel image. ./parmfile the default name of the parameter file. /tmp/silodev a device node which is created temporarily.

BUGS

IPL from FBA disks is not yet supported.

When silo aborts it does not at all clean up its temporary files.

silo must be run in a directory residing on the device you want to IPL.

AUTHOR
This man-page was written by Holger Smolinski <Holger.Smolinski@de.ibm.com>